## org.apache.lucene.analysis.ar
Class ArabicLetterTokenizerFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenizerFactory
              org.apache.lucene.analysis.ar.ArabicLetterTokenizerFactory

Deprecated. (3.1) Use StandardTokenizerFactory instead.

    @Deprecated
    public class ArabicLetterTokenizerFactory

extends TokenizerFactory

Factory for `ArabicLetterTokenizer`

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

Constructor Summary
`ArabicLetterTokenizerFactory(Map<String,String> args)` Deprecated. Creates a new ArabicNormalizationFilterFactory

Method Summary
`ArabicLetterTokenizer` `create(AttributeSource.AttributeFactory factory, Reader input)` Deprecated. Creates a TokenStream of the specified input using the given AttributeFactory

Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory
`availableTokenizers, create, forName, lookupClass, reloadTokenizers`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArabicLetterTokenizerFactory

    public ArabicLetterTokenizerFactory(Map<String,String> args)

  Deprecated.
  Creates a new ArabicNormalizationFilterFactory

Method Detail

### create

    public ArabicLetterTokenizer create(AttributeSource.AttributeFactory factory,
                                        Reader input)

  Deprecated.
  Description copied from class: `TokenizerFactory`
  Creates a TokenStream of the specified input using the given AttributeFactory

  Specified by:
    `create` in class `TokenizerFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.